package com.yh.saas.plugin.yiliangyiyun.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.yh.saas.plugin.yiliangyiyun.entity.SalePlanInfo;
import com.baomidou.mybatisplus.service.IService;

/**
 * <p>
 * 记录销售计划 服务类
 * </p>
 *
 * @author Gongdc
 * @since 2021-08-04
 */
public interface ISalePlanInfoService extends IService<SalePlanInfo> {

    /**
     * 查看销售计划
     * @param id
     */
    SalePlanInfo getSalePlanInfo(String id);

    /**
     * 编辑销售计划
     * @param salePlanInfo
     */
    String editSalePlanInfo(SalePlanInfo salePlanInfo);

    /**
     * 删除销售计划
     * @param id
     */
    void deleteSalePlanInfo(String id);

    /**
     * 销售计划列表
     * @param salePlanInfo
     * @return
     */
    Page<SalePlanInfo> selectSalePlanInfo(SalePlanInfo salePlanInfo);

    /**
     * 添加销售计划
     * @param salePlanInfo
     * @return
     */
    String insertSalePlanInfo(SalePlanInfo salePlanInfo);

    /**
     * 更改状态
     * @param salePlanInfo
     * @return
     */
    String editStatus(SalePlanInfo salePlanInfo);

    /**
     * 审核
     * @param salePlanInfo
     * @return
     */
    String examine(SalePlanInfo salePlanInfo);
}
